
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
      <!-- Search for small screen-->
      <div class="container">
        <div class="row">
          <div class="col s12 m6 l6">
            <h5 class="breadcrumbs-title mt-0 mb-0"><span>Liste des Contacts</span></h5>
          </div>
          <div class="col s12 m6 l6 right-align-md">
            <ol class="breadcrumbs mb-0">
              <li class="breadcrumb-item"><a [routerLink]="['/DashbordReservation']">Acceuil</a>
              </li>
              <li class="breadcrumb-item">Réservations
              </li>
              <li class="breadcrumb-item active">Liste des Contacts
              </li>
            </ol>
          </div>
        </div>
      </div>
    </div>
    
        <div class="section section-data-tables">


<!-- Page Length Options -->
<div class="row">
<div class="col s12">
  <div class="card">
    <div class="card-content">
     <a class=" modal-trigger" href="#modal1" (click)="initi()">
     <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
        <i class="material-icons right">add</i>
      </button>
      </a>

      <h4 class="card-title">Liste des Contacts</h4>
    
      <br/>
      <div class="row">
        <div class="col s12">
          <table id="page-length-option" class="display">
            <thead>
              <tr>
                <th>Nom </th>
                <th>Prénom</th>
                <th>Email</th>
                <th>Tel1</th>
                <th>Tel2</th>
                <th>Date</th>
                <th>Description</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let c of clients; index as i;">
                

                <td>{{c.nom}}</td>
                <td>{{c.prenom}}</td>
                <td>{{c.email}}</td>
                <td>{{c.tel1}}</td>
                <td>{{c.tel2}}</td>
                <td>{{c.date}}</td>
                <td>{{c.description}}</td>
                <td><a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                  <i class="material-icons">arrow_drop_down</i>
                </a>
                <ul id='dropdown{{i}}' class='dropdown-content' >
                <li><a  class="modal-trigger" (click)="getOne(c.id)" href="#modal2"> Modifier</a></li>
                <li><a  class="modal-trigger" (click)="getOne(c.id)" href="#modal3">Rendre Client</a></li>

                <li><a class="modal-trigger" (click)="delete(c.id)" > Supprimper</a></li>
               
                </ul></td>
                
              
              
              
          </tr>
      </tbody>
    </table>
  </div>
</div>
</div>
</div>
</div>
</div>
</div>

<!-- END RIGHT SIDEBAR NAV -->

<div id="modal1" class="modal" style="width: 40%;">
   <form #f="ngForm" (ngSubmit)="save(f.value)">
  <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
    <h6>Ajouter Contact
    </h6>
    
    <div class="row">
     <div class="input-field col m6 s6">
        <input type="Text" class="validate" name="nom" #nom="ngModel" [(ngModel)]="client.nom" required >
         <label for="nbrpersonne">Nom* </label>
         <small  class="errorTxt1" *ngIf="nom.touched  &&  nom.invalid" ><div id="uname-error" class="error">saisir votre nom</div></small>

     </div>
     <div class="input-field col m6 s6">
         <input type="text" class="validate" name="prenom" #prenom="ngModel" [(ngModel)]="client.prenom" required >
         <label for="nbrpersonne">Prénom</label>
         <small  class="errorTxt1" *ngIf="prenom.touched  &&  prenom.invalid" ><div id="uname-error" class="error">saisir votre prenom</div></small>

     </div>
   </div>
   <div class="row">
    <div class="input-field col m6 s6">
        <input type="text" class="validate" name="tel1" #tel1="ngModel" [(ngModel)]="client.tel1" required>
        <label for="nbrporte">Numéro Tel 1</label>
        <small  class="errorTxt1" *ngIf="tel1.touched  &&  tel1.invalid" ><div id="uname-error" class="error">saisir votre tel1</div></small>

    </div>
    <div class="input-field col m6 s6">
        <input type="text" class="validate" name="tel2" #tel2="ngModel" [(ngModel)]="client.tel2" required>
        <label for="nbrpersonne">Numéro Tel 2</label>
        <small  class="errorTxt1" *ngIf="tel2.touched  &&  tel2.invalid" ><div id="uname-error" class="error">saisir votre tel2</div></small>

    </div>
  </div>
   <div class="row">
     <div class="input-field col m6 s6">
         <input type="email" class="validate" name="email" #email="ngModel" [(ngModel)]="client.email" required >
         <label for="nbrporte">Email</label>
         <small  class="errorTxt1" *ngIf="email.touched  &&  email.invalid" ><div id="uname-error" class="error">saisir votre email</div></small>

     </div>
     <div class="input-field col m6 s6">
      <input type="date" class="validate" name="date" #date="ngModel" [(ngModel)]="client.date" required >
      <label for="nbrporte">Date</label>
      <small  class="errorTxt1" *ngIf="date.touched  &&  date.invalid" ><div id="uname-error" class="error">saisir votre date</div></small>

  </div>
     
   </div>

   <div class="row">
    <div class="input-field col m12 s12">
    <textarea id="textarea1"  class="materialize-textarea validate" name="description" #description="ngModel" [(ngModel)]="client.description" required></textarea>
    <label for="textarea1">Description</label>
    <small  class="errorTxt1" *ngIf="description.touched  &&  description.invalid" ><div id="uname-error" class="error">saisir votre description</div></small>

</div>
   </div>
   
  

    <div class="modal-footer">
        <button  [disabled]="f.invalid" class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
           <i class="material-icons right">send</i>
         </button>
     </div>

</div>
</form>

</div>




<div id="modal2" class="modal" >
  <form #fu="ngForm" (ngSubmit)="update(fu.value)">
 <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
   <h6>Modifier Contact
   </h6>
   
   <div class="row">
    <div class="input-field col m6 s6">
      <label for="modifiernom" class="active">Nom </label><br/>
       <input type="Text" name="nom" #nom="ngModel" [(ngModel)]="client.nom" required >
        
    </div>
    <div class="input-field col m6 s6">
      <label for="modifierprenom">Prénom</label><br/>
        <input type="text" name="prenom" #prenom="ngModel" [(ngModel)]="client.prenom" required >
       
    </div>
  </div>
  <div class="row">
   <div class="input-field col m6 s6">
    <label for="modifiertel">Numéro Tel 1</label><br/>

       <input type="text" name="tel1" #tel1="ngModel" [(ngModel)]="client.tel1" required>
   </div>
   <div class="input-field col m6 s6">
    <label for="modifiertel2">Numéro Tel 2</label><br/>

       <input type="text" name="tel2" #tel2="ngModel" [(ngModel)]="client.tel2" required>
   </div>
 </div>
  <div class="row">
    <div class="input-field col m6 s6">
      <label for="modifieremail">Email</label><br/>

        <input type="email" name="email" #email="ngModel" [(ngModel)]="client.email" required >
    </div>
    <div class="input-field col m6 s6">
      <label for="modifierdate">Date</label><br/>

     <input type="date" name="date" #date="ngModel" [(ngModel)]="client.date" required >
 </div>
    
  </div>

  <div class="row">
   <div class="input-field col m12 s12">
    <label for="modifierdescription">Description</label><br/>
   <textarea id="textarea1" class="materialize-textarea" name="description" #description="ngModel" [(ngModel)]="client.description" required></textarea>
</div>
  </div>
  
 

   <div class="modal-footer">
       <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Modifier
          <i class="material-icons right">send</i>
        </button>
    </div>

</div>
</form>

</div>



<div id="modal3" class="modal" >
  <form #fuc="ngForm" (ngSubmit)="update(fuc.value)">
 <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
   <h6>Rendre Client
   </h6>
   
   <div class="row">
    <div class="input-field col m6 s6">
      <label for="modifiernom" class="active">cin</label>
       <input type="text" name="cin" #cin="ngModel" [(ngModel)]="client.cin" required >
        
    </div>
    <div class="input-field col m6 s6">
      <label for="modifierprenom">ville</label>
        <input type="text" name="ville" #ville="ngModel" [(ngModel)]="client.ville" required >
       
    </div>
  </div>
  <div class="row">
   <div class="input-field col m6 s6">
    <label for="modifiertel" class="active">date de Naissance</label>

       <input type="date" name="datenaissance" #datenaissance="ngModel" [(ngModel)]="client.datenaissance" required>
   </div>
   <div class="input-field col m6 s6">
    <label for="modifiertel2">code postale</label>

       <input type="text" name="codepostale" #codepostale="ngModel" [(ngModel)]="client.codepostale" required>
   </div>
 </div>
 


  
 

   <div class="modal-footer">
       <button [disabled]="fuc.invalid" class="btn cyan waves-effect waves-light right" type="submit" name="action">Modifier
          <i class="material-icons right">send</i>
        </button>
    </div>

</div>
</form>

</div>


